Page MenuHomePhabricator

birth, death dates in bios are missing
Closed, DeclinedPublic

Description

birth and death dates in bio leads (immediately after subject's name; in parentheses) are hidden / missing.

how to indicate must be fixed before promoting beta to GA release?

App 2.0-r-2015-03-23 LGTM (but only tested a couple pages)

Android App 2.0-beta-2015-04-03 is broken. tested at least 5 pages

examples:

was going to set this as "unbreak now"; refrained only because the bug is apparently not released yet.

extra keywords: birthday date

Event Timeline

jeremyb-phone raised the priority of this task from to High.
jeremyb-phone updated the task description. (Show Details)
jeremyb-phone added a subscriber: jeremyb.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2015, 2:20 AM
jeremyb-phone updated the task description. (Show Details)Apr 9 2015, 2:21 AM
jeremyb-phone set Security to None.

I think this is intentional. See the thread starting with https://lists.wikimedia.org/pipermail/mobile-l/2015-March/008761.html

Deskana closed this task as Invalid.Apr 9 2015, 2:46 AM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

This is intentional, as wctaiwan noted.

Legoktm reopened this task as Open.Apr 9 2015, 3:30 AM
Legoktm added a subscriber: Legoktm.

Just because it is intentional doesn't make it invalid :)

jeremyb-phone added a subscriber: jeremyb-phone.

@Deskana ok, responded to the thread.

is there a planned release date?

while discussion and notifications take place we should hide the stripping behind a feature flag and it should default to off. (it's ok if the feature flag is hard to find a la about:config in Firefox)

as long as this feature is on by default in the beta the task should stay open.

Deskana closed this task as Declined.Apr 9 2015, 4:52 AM
Deskana added a subscriber: jeremyb-phone.

@Deskana ok, responded to the thread.
is there a planned release date?

Not right now. We're still checking for bugs.

while discussion and notifications take place we should hide the stripping behind a feature flag and it should default to off. (it's ok if the feature flag is hard to find a la about:config in Firefox)

That depends whether you mean feature flag for release purposes or for user purposes.

For the former, we now do this for all of our features. You can see the flag for this one here: https://github.com/wikimedia/apps-android-wikipedia/blob/999c29483d82a253737ba32dfec6bafc5395b2c4/www/js/transforms.js#L90-L92

For the latter, it is an intentional product decision to not include options for everything in the app right now. It creates extra maintenance overhead for us, as the number of possible combinations increases geometrically with the number of preferences. This is exacerbated when considered in light of how much users tend to use such customisability, which is less than 1% of the user base based on our data. This is something that we could revisit in the future, but not right now.

as long as this feature is on by default in the beta the task should stay open.

The team currently has no intention of reversing this decision unless new evidence is brought to light about why we should not, so leaving the task open is not representative of reality. That said, Legoktm correctly noted that closing this task as invalid was inaccurate, so I have reclosed this task as declined.